Subject: Re: Multi-link subnets and MIPv6 (was Re: [Mip6] Re: WG Review: Recharter of Mobility for IPv6 (mip6))

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 02 Oct 2006 10:11:45 -0700

Behcet Sarikaya wrote:
> Hello Vijay,
>   I could not see the second quote
>  >    A multilink subnet model SHOULD NOT be used.  IETF WG's using, or
>  >    considering using, multilink subnets today should investigate moving  
>  >    to one of the other models.  For example, Mobile IPv6 should
>  >    investigate having the Home Agent not decrement the Hop Limit, and
>  >    forward multicast traffic.
> 
> in Dave's draft, how did you get this? Is there a new version (-01)?

in section 4.1

Vijay

>  
> Behcet
> ----- Original Message ----
> From: Vijay Devarapalli <[email-masked]>
> To: Jari Arkko <[email-masked]>
> Cc: [email-masked]; Dave Thaler <[email-masked]>
> Sent: Friday, September 29, 2006 4:54:27 PM
> Subject: Multi-link subnets and MIPv6 (was Re: [Mip6] Re: WG Review: 
> Recharter of Mobility for IPv6 (mip6))
> 
> Hi Jari and Dave,
> 
> Jari Arkko wrote:
>  > Hi Vijay,
>  >> can you send us more information on this? specifically
>  >> on what we are supposed to look for. document problems
>  >> that we might encounter when MIPv6 is run over multilink
>  >> subnets?
> 
>  > The basic reference is the new IAB draft,
>  > draft-iab-multilink-subnet-issues-00.txt.
> 
> I went through this document.
> 
> first I was surprised when I saw the following
> text
> 
>  >    However, other WGs continued to allow for this concept even though
>  >    it had been rejected in the IPv6 WG.  Mobile IPv6 [RFC3775] allows
>  >    tunnels to mobile nodes to use the same subnet as a home link, with
>  >    the Home Agent doing layer 3 forwarding between them.
> 
> I was surprised to see the MIPv6 home link and the
> tunnels to each mobile node being compared to a
> multi-link subnet. its not a multi-link subnet as
> described in draft-ietf-ipv6-multilink-subnets-00.txt.
> the home agent does not bridge and forward link-scope
> traffic onto the tunnels.
> 
> the draft later on says
> 
>  >    A multilink subnet model SHOULD NOT be used.  IETF WG's using, or
>  >    considering using, multilink subnets today should investigate moving  
>  >    to one of the other models.  For example, Mobile IPv6 should
>  >    investigate having the Home Agent not decrement the Hop Limit, and
>  >    forward multicast traffic.
> 
> currently no link local traffic sent on the home
> link is forwarded over the Mobile IP tunnel to the
> mobile node.
> 
> regarding forwarding multicast traffic RFC 3775
> says the following.
> 
>     Interception and tunneling of the following multicast addressed
>     packets on the home network are only done if the home agent supports
>     multicast group membership control messages from the mobile node as
>     described in the next section.  Tunneling of multicast packets to a
>     mobile node follows similar limitations to those defined above for
>     unicast packets addressed to the mobile node's link-local and site-
>     local addresses.  Multicast packets addressed to a multicast address
>     with link-local scope [3], to which the mobile node is subscribed,
>     MUST NOT be tunneled to the mobile node.  These packets SHOULD be
>     silently discarded (after delivering to other local multicast
>     recipients).  Multicast packets addressed to a multicast address with
>     a scope larger than link-local, but smaller than global (e.g., site-
>     local and organization-local [3], to which the mobile node is
>     subscribed, SHOULD NOT be tunneled to the mobile node.  Multicast
>     packets addressed with a global scope, to which the mobile node has
>     successfully subscribed, MUST be tunneled to the mobile node.
> 
>  > I would like to see documentation of how
>  > Mobile IPv6 is affected, and possibly, a short
>  > RFC that updates RFC 3775 to remove or
>  > reduce the problems.
> 
> the current use of Mobile IP tunnels as an
> extension of the home links does not introduce the
> issues described with multi-link subnets in
> draft-iab-multilink-subnet-issues. or I might be
> missing something big.
> 
> comments?
> 
> Vijay
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 02 Oct 2006 12:15:21 -0500

Hello Vijay,

 
Behcet
----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: Jari Arkko <[email-masked]>
Cc: [email-masked]; Dave Thaler <[email-masked]>
Sent: Friday, September 29, 2006 4:54:27 PM
Subject: Multi-link subnets and MIPv6 (was Re: [Mip6] Re: WG Review: 

Hi Jari and Dave,

the draft later on says

comments?

Vijay

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 02 Oct 2006 16:32:02 -0500

IMHO, IPsec VPN does not create a multi-link subnet but MIPv6 tunnel does.
My question is what happens if MN is in a p2p link where there can be 
only two nodes?

--behcet
----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: "Narayanan, Vidya" <[email-masked]>; "Soliman, Hesham" 
<[email-masked]>; [email-masked]
Cc: Dave Thaler <[email-masked]>
Sent: Monday, October 2, 2006 2:00:22 PM
Subject: RE: Multi-link subnets and MIPv6 (was Re: 
[Mip6]Re:WGReview:Recharter of Mobility for IPv6 (mip6))

FWIW, I don't think the point-to-point links you setup
between a mobile node and a gateway (whether IPsec VPNs
or MIPv6) is a multi-link subnet.

we need to better define what a multi-link subnet is
in draft-iab-multilink-subnet-issues.

Vijay

 > -----Original Message-----
 > From: Narayanan, Vidya [mailto:[email-masked]]
 > Sent: Monday, October 02, 2006 11:35 AM
 > To: Soliman, Hesham; [email-masked]
 > Cc: Dave Thaler
 > Subject: RE: Multi-link subnets and MIPv6 (was Re:
 > [Mip6]Re:WGReview:Recharter of Mobility for IPv6 (mip6))
 >
 > I tend to agree with Hesham here. I am not sure why multi-link subnets
 > is any more an issue for MIP6 than it is for remote access
 > VPNs such as
 > tunnel-mode IPsec.
 >
 > I think focusing on 1 below makes sense to determine what models,
 > including MIP6 and tunnel-mode ESP, fall under this category. I would
 > say this is a cross-area activity rather than something that goes into
 > the MIP6 charter.
 >
 > Vidya
 >
 > > -----Original Message-----
 > > From: Soliman, Hesham [mailto:[email-masked]]
 > > Sent: Monday, October 02, 2006 10:14 AM
 > > To: [email-masked]
 > > Cc: Dave Thaler
 > > Subject: RE: Multi-link subnets and MIPv6 (was Re: [Mip6]
 > > Re:WGReview:Recharter of Mobility for IPv6 (mip6))
 > >
 > > I think we might need to distinguish between ND-related
 > > issues with multi-link subnets (and the consequent
 > > relay/proxy of ND messages) and the situation in MIPv6.
 > >
 > > There are two slightly different threads that I think are
 > > being discussed on the list:
 > >
 > > 1. Defining multi-link subnets in general and deciding
 > > whether MIPv6 falls under such category and therefore comes
 > > with all the issues related to multi-link subnet?
 > >
 > > 2. Addressing multi-link subnet issues in MIPv6 and
 > > investigating whether there are problems in the *context of MIPv6*.
 > >
 > > Of course addressing 2) implies that we agree the MIPv6 as a
 > > concept creates a multi-link subnet. It would be useful IMO
 > > to address 1) without worrying about the consequences ;)
 > >
 > > Another related question to 1) above: If we assume the p2p
 > > tunnel created by MIPv6 is effectively a multi-link subnet,
 > > can we also make that assumption about VPN technologies out
 > > there? I'm just interested in scoping this discussion to the
 > > issues that matter to this WG rather than taking potentially
 > > larger issues related to all technologies that introduce a
 > > model that would fall under the multi-link umbrella.
 > >
 > > So, I guess my question is, what are the problematic
 > > multi-link aspects that we want to discuss here? ND seems to
 > > be a large component, should we start with that?
 > >
 > > Sorry for putting more questions than answers!
 > >
 > > Hesham
 > >
 > >

---

From: Julien Laganier <[email-masked]>
Date: Wed, 4 Oct 2006 15:32:17 +0200

Forwarding Dave's note as it seems it didn't make it to 
the mailing list.

--julien

----------  Forwarded Message  ----------

Subject: RE: Multi-link subnets and MIPv6 (was Re: 
[Mip6] Re: WG Review: Recharter of Mobility for IPv6 
(mip6))
Date: Tuesday 03 October 2006 19:42
From: Dave Thaler
To: Julien Laganier, [email-masked]
Cc: Vijay Devarapalli, Jari Arkko

Just catching up on this thread. I agree with Julian's 
email below, and Pekka's later email.

MIPv6 defines a multilink subnet in the case where you 
have a home link with a subnet prefix. When you are 
away from home, and using a point-to-point tunnel to 
the home agent, the fact that the home agent 
decrements the TTL between the tunnel and other nodes 
on the home link, and the fact that the home agent 
does not forward link-scoped multicast between the 
two, is precisely the cause of the problems as Julian 
notes.

MIPv6 implementations do decrement TTL (as Brian Haley 
noted in his response), and do not forward link-scoped 
multicast (as Vijay noted in his email).

Regarding the discussion of VPNs, the same problem can 
occur with VPNs if the VPN server shares a prefix with 
a subnet (e.g., Ethernet) on the back end and some VPN 
servers are capable of doing this. Similarly, the same 
problem could occur if all the point-to-point links 
share a common subnet mask/prefix and the VPN server 
decrements TTL and/or doesn't forward link-scoped 
multicast between two VPN clients in the same subnet 
prefix. However, I'm not aware of an RFC that 
specifically recommends this behavior, which is the 
main reason why MIPv6 is more problematic than VPNs in 
general.

-Dave

> From: julien laganier
> [mailto:[email-masked]] On Behalf Of
> Julien Laganier
> Sent: Monday, October 02, 2006 4:53 AM
> To: [email-masked]
> Cc: Vijay Devarapalli; Jari Arkko; Dave Thaler
> Subject: Re: Multi-link subnets and MIPv6 (was Re:
> [Mip6] Re: WG

Review:
> Some thoughts below:
> On Friday 29 September 2006 23:54, Vijay Devarapalli 
wrote:
> > Hi Jari and Dave,
> >
> > Jari Arkko wrote:
> > >> can you send us more information on this?
> > >> specifically on what we are supposed to look
> > >> for. document problems that we might encounter
> > >> when MIPv6 is run over multilink subnets?
> > >
> > >    However, other WGs continued to allow for
> > > this concept even though it had been rejected in
> > > the IPv6 WG.  Mobile IPv6 [RFC3775] allows
> > > tunnels to mobile nodes to use the same subnet
> > > as a home link, with the Home Agent doing layer
> > > 3 forwarding between them.
> >
> > described in
> > draft-ietf-ipv6-multilink-subnets-00.txt. the home
> > agent does not bridge and forward link-scope
> My (perhaps flawed) understanding is that a
> multilink subnet occurs when a subnet prefix is used
> to number interfaces on different links, and an
> entity forward traffic between those two links. It
> is not only about forwarding link-scope traffic.
>
> If you look at MIPv6 as described per section 8.4.
> of RFC 3775 this AFAICS exactly what happens: The MN
> numbers its tunnel interface with an address in the
> same subnet prefix that the one used on the home
> link (which is different from the tunnel
> interface.), and the HA
>
> forwards traffic:
> > 8.4.  IPv6 Home Agents
> >
> > [...]
> >
> >   o  Every home agent MUST be able to intercept
> > packets (using proxy Neighbor Discovery [12])
> > addressed to a mobile node for which it is
> > currently serving as the home agent, on that
> > mobile node's home link, while the mobile node is
> > away from home (Section 10.4.1).
> >
> >   o  Every home agent MUST be able to encapsulate
> > [15] such intercepted packets in order to tunnel
> > them to the primary care-of address for the mobile
> > node indicated in its binding in the home agent's
> > Binding Cache (Section 10.4.2).
>
> Regarding your observation that link-scope traffic
> is not forwarded in MIPv6, I think that not
> forwarding link-scope traffic is exactly the problem
> with multilink subnets: lot of applications assume
> that if two nodes share a same subnet prefix, then
> it means they share a link, and they can therefore
> communicate with link-scope traffic, and TTL won't
> get decremented. This assumption is broken when you
> have a multilink subnet but you do not forward
> link-scoped traffic.
>
> > the draft later on says
> >
> > >    A multilink subnet model SHOULD NOT be used. 
> > > IETF WG's using, or considering using, multilink
> > > subnets today should investigate moving to one
> > > of the other models.  For example, Mobile IPv6
> > > should investigate having the Home Agent not
> > > decrement the Hop Limit, and forward multicast
> > > traffic.
> >
> I think that is exactly one of the issue of
> multilink subnets as used in MIPv6 (see above.)
>
> > [...]
> >
> IMHO MIPv6 introduce the issues described in the
> multilink subnet draft.
>
> --julien

-------------------------------------------------------